
@echo off

cls
echo. ******************************************************
echo. *               Pysycache installation               *
echo. ******************************************************

set PREFIX="C:\Program Files\Pysycache"
set SCOREDIR="C:\Program Files\Pysycache\--games"


rem #################################################################
rem # DON'T EDIT AFTER THESE LINES
rem #################################################################


rem if [ $* ]
rem then PREFIX=$*
rem fi
echo. 
echo. Used PREFIX for installation is :  %PREFIX%


rem set BINDIR=%PREFIX%\games
rem set DOCDIR=%PREFIX%\share\doc\pysycache
rem set EXECDIR=%PREFIX%\bin
rem set MANDIR=%PREFIX%\man\man6
rem set SHAREDIR=%PREFIX%\share\pysycache


rem #----------------------- creation des repertoires ---------------------------

echo. 
echo. Making directories for Pysycache -------------------------------------------
mkdir %PREFIX%
rem mkdir %BINDIR%
rem mkdir %DOCDIR%
rem mkdir %MANDIR%
rem mkdir %SHAREDIR%


echo. 
echo. Copy of required files -----------------------------------------------------
xcopy  .\pysycache %PREFIX% /s



echo.
echo. Copy of the script-fu for Gimp ---------------------------------------------
xcopy  .\windows\*.scm %PREFIX%\doc\Script-Fu\scripts\ /s


echo. 
echo. Copy of the configuration file ---------------------------------------------
mkdir %PREFIX%\etc\pysycache
mkdir %SCOREDIR%
mkdir %PREFIX%\--users
xcopy  .\windows\etc\* %PREFIX%\etc /s




pause
